%define lib_name_orig	libaqsis
%define major 1
%define libname	%mklibname %{name} %{major}
%define develname %mklibname %{name} -d

Summary:	RenderMan-compliant 3D rendering solution
Name:		aqsis
Version:	1.4.2
Release:	%mkrel 3
License:	GPLv2+i
Group:		Graphics
Url:		http://www.aqsis.org/
Source0:	http://downloads.sourceforge.net/aqsis/%{name}-%{version}.tar.bz2
Patch0:		aqsis-1.4.2-gcc44.patch
Patch1:		aqsis-trunk-piqsl_libtiff.patch
BuildRequires:	mesaglu-devel
BuildRequires:	mesaglut-devel
BuildRequires:	tiff-devel
BuildRequires:	libjpeg-devel
BuildRequires:	X11-devel
BuildRequires:	bison
BuildRequires:	flex
BuildRequires:	fltk-devel
BuildRequires:	cmake
BuildRequires:	libxslt-proc
BuildRequires:	OpenEXR-devel
BuildRequires:	zlib-devel
BuildRequires:	boost-devel
Requires:	%{libname} = %{version}-%{release}
BuildRoot:	%{_tmppath}/%{name}-%{version}-buildroot

%description
Tha Aqsis rendering system consists of a set of libraries and applications for
creating high-quality computer imagery using the Pixar RenderMan Interface.

%package -n %{libname}
Summary:	Aqsis library
Group:		System/Libraries

%description -n %{libname}
The Aqsis library.

%package -n %{develname}
Summary:	Development files for Aqsis
Group:		Development/C++
Requires:	%{libname} >= %{version}-%{release}
Provides:	lib%{name}-devel = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}
Obsoletes:	%mklibname %{name} 1 -d
Provides:	%mklibname %{name} 1 -d

%description -n %{develname}
The Aqsis library developpement files.

%prep
%setup -q
%patch0 -p1 -b .piqsl_tiff
%patch1 -p1 -b .gcc44

%build
# (tpg) this is needec, because upstream didn't cleaned tarball
# next release should be ok
rm -rf build

%cmake \
    -DAQSIS_USE_FLTK:BOOL=ON \
    -DAQSIS_USE_OPENEXR:BOOL=ON \
    -DAQSIS_BOOST_LIB_SUFFIX:STRING=-mt \
    -DCMAKE_CMAKE_BUILD_TYPE=Release \
    -DAQSIS_ENABLE_TESTING:BOOL=OFF \
    -DAQSIS_USE_PLUGINS:BOOL=ON \
    -DAQSIS_USE_TIMERS:BOOL=ON \
    -DSYSCONFDIR:STRING=%{_sysconfdir} \
    -DLIBDIR="%{_libdir}" \
    -DDEFAULT_DISPLAYPATH="%{_libdir}/%{name}"

%make 

%install
rm -rf %{buildroot}

pushd build
%makeinstall_std
popd

%clean
rm -rf %{buildroot}

%if %mdkversion < 200900
%post -n %{libname} -p /sbin/ldconfig
%endif

%if %mdkversion < 200900
%postun -n %{libname} -p /sbin/ldconfig
%endif

%files
%defattr(-,root,root)
%{_bindir}/*
%doc AUTHORS README ReleaseNotes
%{_datadir}/%{name}
%config(noreplace) %{_sysconfdir}/*
%{_datadir}/applications/*.desktop
%{_datadir}/mime/packages/aqsis.xml
%{_datadir}/pixmaps/*.png

%files -n %{libname}
%defattr(-,root,root)
%{_libdir}/%{name}
%{_libdir}/*.so.%{major}*

%files -n %{develname}
%defattr(-,root,root)
%{_libdir}/*.so
%{_includedir}/*


%changelog
* Fri Aug 21 2009 Funda Wang <fundawang@mandriva.org> 1.4.2-3mdv2010.0
+ Revision: 418838
- sync with fedora patches

* Thu Mar 12 2009 Emmanuel Andry <eandry@mandriva.org> 1.4.2-2mdv2009.1
+ Revision: 354286
- rebuild for new boost

* Tue Jan 27 2009 Tomasz Pawel Gajc <tpg@mandriva.org> 1.4.2-1mdv2009.1
+ Revision: 334592
- update to new version 1.4.2

* Mon Dec 22 2008 Funda Wang <fundawang@mandriva.org> 1.4.1-4mdv2009.1
+ Revision: 317400
- rebuild for new boost

* Sat Dec 13 2008 Funda Wang <fundawang@mandriva.org> 1.4.1-3mdv2009.1
+ Revision: 313951
- rebuild
- rebuild

* Sun Sep 28 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 1.4.1-1mdv2009.1
+ Revision: 289051
- update to new version 1.4.1

* Mon Aug 18 2008 Per Øyvind Karlsen <peroyvind@mandriva.org> 1.4.0-3mdv2009.0
+ Revision: 273429
- rebuild against new boost

* Tue Aug 12 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 1.4.0-2mdv2009.0
+ Revision: 270970
- install libraries to %%_libdir on x86_64
- add buildrequires on libjpeg-devel
- fix building by removing not clean build directory and setting right suffix for boost libraries
- fix file list
- update to new version 1.4.0
- adjust buildrequires
- upstream uses cmake instead of scons

  + Thierry Vignaud <tvignaud@mandriva.com>
    - rebuild
    - rebuild

  + Pixel <pixel@mandriva.com>
    - do not call ldconfig in %%post/%%postun, it is now handled by filetriggers

* Mon Feb 18 2008 Thierry Vignaud <tvignaud@mandriva.com> 1.2.0-3mdv2008.1
+ Revision: 170766
- rebuild
- better summaries
- summary is not licence tag

* Tue Jan 08 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 1.2.0-2mdv2008.1
+ Revision: 146896
- obsolete older devel library
- new license policy
- new devel library policy
- fix mixture of tabs and spaces into spec file
- do not package COPYING and INSTALL files
- spec file clean
- update link in URL
- update Source link

  + Thierry Vignaud <tvignaud@mandriva.com>
    - fix mesaglu-devel BR

* Thu Dec 20 2007 Olivier Blin <oblin@mandriva.com> 1.2.0-1mdv2008.1
+ Revision: 135823
- restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request
    - buildrequires X11-devel instead of XFree86-devel


* Mon Feb 19 2007 Pascal Terjan <pterjan@mandriva.org> 1.2.0-1mdv2007.0
+ Revision: 122889
- fix release
- 1.2.0 final
- Drop patch0

* Wed Jan 03 2007 Pascal Terjan <pterjan@mandriva.org> 1.2.0-0.20061223.2mdv2007.1
+ Revision: 103796
- Fix generated dependency on /usr/sbin/bash (aka test your package after the very last commit)

* Wed Jan 03 2007 Pascal Terjan <pterjan@mandriva.org> 1.2.0-0.20061223.1mdv2007.1
+ Revision: 103672
- fix lib64
- have the scripts executable
- Add x86_64 patch from Fedora
- Buildrequires boost-devel
- move .a to -devel
- really use mkrel
- mark the config file
- partially sync with upstream specfile
- don't separate build and install as the scons script do te same...
- fix file list
- 1.2.0 snapshot (almost RC1)
- switch to scons
- mkrel
- Import aqsis

* Fri May 06 2005 Pascal Terjan <pterjan@mandriva.org> 1.0.0-3mdk
- better fix for x86_64 build

* Thu May 05 2005 Pascal Terjan <pterjan@mandriva.org> 1.0.0-2mdk
- fix x86_64 build (P1)

* Mon Jan 17 2005 Pascal Terjan <pterjan@mandrake.org> 1.0.0-1mdk
- 1.0.0

* Sun Jan 16 2005 Pascal Terjan <pterjan@mandrake.org> 0.9.3-1mdk
- 0.9.3
- BuildRequires fltk-devel

* Sun Sep 05 2004 Pascal Terjan <pterjan@mandrakesoft.com> 0.9.2-1mdk
- New release 0.9.2
- Drop patch 0 (fixed upstream)

* Wed Jun 09 2004 Pascal Terjan <pterjan@mandrake.org> 0.9.1-2mdk
- GCC 3.4 fixes

* Fri Apr 09 2004 Pascal Terjan <pterjan@mandrake.org> 0.9.1-1mdk
- 0.9.1

